### Method

# Gtk.CellRenderer.get_aligned_area

#### Declaration [src]

    void
    gtk_cell_renderer_get_aligned_area (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      GtkCellRendererState flags,
      const GdkRectangle* cell_area,
      GdkRectangle* aligned_area
    )

#### Description [src]

Gets the aligned area used by `cell` inside `cell_area`. Used for finding the appropriate edit and focus rectangle.

#### Parameters

`widget` | `GtkWidget`
| the `GtkWidget` this cell will be rendering to
| Ownership is not transferred to the callee
`flags` | `GtkCellRendererState`
| render flags
`cell_area` | `const GdkRectangle*`
| cell area which would be passed to `gtk_cell_renderer_render()`
| Ownership is not transferred to the callee
`aligned_area` | `GdkRectangle*`
| the return location for the space inside `cell_area` that would actually be used to render.
| Direction: out
| Ownership is not transferred to the callee